%define major		0
%define libname		%mklibname v4l %{major}
%define develname	%mklibname v4l -d
%define wrappersname	%mklibname v4l-wrappers

Name:		v4l-utils
Version:	0.8.3
Release:	%mkrel 1
Summary:	Linux V4L2 and DVB API utilities
License:	LGPLv2+
Group:		System/Libraries
URL:		http://git.linuxtv.org/v4l-utils.git
Source:		http://linuxtv.org/downloads/%name/%name-%{version}.tar.bz2
BuildRequires:	libsysfs-devel
BuildRequires:	qt4-devel
Conflicts:	ivtv-utils <= 1.4.0-1mdv2010.1
Obsoletes:	libv4l <= 0.6.4-1mdv2010.1
Requires:	%{wrappersname} >= %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
v4l-utils is the combination of various v4l and dvb utilities which
used to be part of the v4l-dvb mercurial kernel tree. 

%files
%defattr(0755,root,root,0755)
%{_bindir}/cx18-ctl
%{_bindir}/decode_tm6000
%{_bindir}/ir-keytable
%{_bindir}/v4l2-compliance
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_sbindir}/v4l2-dbg
/etc/rc_keymaps
/etc/rc_maps.cfg
/etc/udev/rules.d/*
%_mandir/man*/*

%package -n	v4l-utils-qt4
Summary:	qt4 tools for v4l applications
Group:		System/Libraries
Conflicts:	libv4l <= 0.7.91-1mdv2010.1

%description -n	v4l-utils-qt4
v4l-utils-qt4 is a QT4 gui for the v4l-utils tools

%files -n	v4l-utils-qt4
%defattr(0755,root,root,0755)
%{_bindir}/qv4l2

%package -n	%{wrappersname}
Summary:	Wrappers for v4l applications
Group:		System/Libraries
Conflicts:	libv4l <= 0.5.9-1mdv2010.0

%description -n %{wrappersname}
This package contains wrapper libraries that adds v4l2 device compatibility for
v4l1 applications and support for various pixelformats to v4l2 applications.

%files -n	%{wrappersname}
%defattr(0644,root,root,0755)
%dir %{_libdir}/libv4l
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so
%{_libdir}/libv4l/*-decomp

%package -n	%{libname}
Summary:	Thin abstraction layer for video4linux2 devices
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
libv4l is a collection of libraries which adds a thin abstraction layer on top
of video4linux2 devices. The purpose of this (thin) layer is to make it easy for
application writers to support a wide variety of devices without having to write
separate code for different devices in the same class.

%files -n	%{libname}
%defattr(0644,root,root,0755)
%{_libdir}/libv4l1.so.%{major}*
%{_libdir}/libv4l2.so.%{major}*
%{_libdir}/libv4lconvert.so.%{major}*

%package -n	%{develname}
Summary:	Development files from libv4l
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libv4l-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files needed to build programs that use
libv4l.

%files -n	%{develname}
%defattr(0644,root,root,0755)
%{_includedir}/libv4l1.h
%{_includedir}/libv4l1-videodev.h
%{_includedir}/libv4l2.h
%{_includedir}/libv4lconvert.h
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.so
%{_libdir}/libv4lconvert.so
%{_libdir}/pkgconfig/libv4l1.pc
%{_libdir}/pkgconfig/libv4l2.pc
%{_libdir}/pkgconfig/libv4lconvert.pc

%prep
%setup -q

%build
%setup_compile_flags
%make CFLAGS="%{optflags}" PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

# already provided by ivtv-utils package, more uptodate/complete there
rm -f %{buildroot}%{_bindir}/ivtv-ctl

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}





%changelog
* Wed Apr 13 2011 tv <tv> 0.8.3-1.mga1
+ Revision: 84184
- adjust file list
- new release

* Sat Jan 15 2011 mikala <mikala> 0.8.1-1.mga1
+ Revision: 18523
- imported package v4l-utils


* Sun Sep 05 2010 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 576131
- new version
- new source URL

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 553711
- update to new version 0.8.0
- drop patch 0

* Wed Jun 16 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.91-6mdv2010.1
+ Revision: 548175
- Add patch with updated upside-down device table entries, from upstream
  git (contains new device entry for reported laptop at MDV #58061).

* Thu Apr 08 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.91-5mdv2010.1
+ Revision: 533193
- Added provides for libv4l-devel after package naming change (#58660).

* Sat Mar 27 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.91-4mdv2010.1
+ Revision: 527886
- Do not provide ivtv-ctl, ivtv-utils already provides a more uptodate
  copy (#58419).

* Thu Mar 25 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.91-3mdv2010.1
+ Revision: 527530
- forgot to set a non-empty description for new subpackage
- split qt4 util in its own subpackage

* Fri Mar 19 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.7.91-1mdv2010.1
+ Revision: 525356
- Add BuildRequires for libsysfs-devel (to provide v4l2-sysfs-path).
- Remove uneeded BuildRequires.
- Update to v4l-utils 0.7.91, finish renaming in spec.
- Rename spec file.
- Rename libv4l to v4l-utils (#58203).

* Mon Jan 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2010.1
+ Revision: 492998
- update to new version 0.6.4

* Thu Nov 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.6.3-1mdv2010.1
+ Revision: 465441
- Updated to version 0.6.3

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 423820
- update to new version 0.6.1

* Wed Aug 19 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.0-1mdv2010.0
+ Revision: 418064
- New version 0.6.0
- update files list

* Sun Jul 05 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.5.9-2mdv2010.0
+ Revision: 392560
- Create subpackage for libv4l wrappers using mklibname, to allow
  installation of i586 and x86_64 wrapper versions on x86_64 (#45316).

* Sun Jun 07 2009 Funda Wang <fwang@mandriva.org> 0.5.9-1mdv2010.0
+ Revision: 383472
- New version 0.5.9

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.5.8-1mdv2009.1
+ Revision: 328576
- update to new version 0.5.8

* Wed Dec 03 2008 Götz Waschk <waschk@mandriva.org> 0.5.7-1mdv2009.1
+ Revision: 309698
- update to new version 0.5.7

* Tue Nov 25 2008 Götz Waschk <waschk@mandriva.org> 0.5.6-1mdv2009.1
+ Revision: 306596
- update to new version 0.5.6

  + Pascal Terjan <pterjan@mandriva.org>
    - Update to 0.5.4

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2009.1
+ Revision: 297759
- update to new version 0.5.3

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 297522
- New version 0.5.2

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 295932
- update to new version 0.5.1

* Fri Sep 05 2008 Frederic Crozat <fcrozat@mandriva.com> 0.4.3-1mdv2009.0
+ Revision: 281080
- Release 0.4.3

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 0.4.1-2mdv2009.0
+ Revision: 278499
- depend on the main package

* Thu Aug 28 2008 Thierry Vignaud <tv@mandriva.org> 0.4.1-1mdv2009.0
+ Revision: 276810
- new release

* Thu Aug 07 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.4.0-2mdv2009.0
+ Revision: 265667
- Bump release because of previous submit stuck in bs upload queue.
- Updated to version 0.4.0

* Thu Jul 31 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.3.8-1mdv2009.0
+ Revision: 258489
- import libv4l

